"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const connect = async (imports, pool, options) => {
  let {
    targetApplicationUrl
  } = options;

  if (targetApplicationUrl == null || targetApplicationUrl.constructor !== String) {
    throw new Error(`Wrong application url: ${targetApplicationUrl}`);
  }

  Object.assign(pool, {
    targetApplicationUrl,
    ...imports
  });
};

var _default = connect;
exports.default = _default;
//# sourceMappingURL=connect.js.map